BNDDIR=${MOIADIR}/bnd

if [ "X$1" == "Xdb" ];then
    bndlist="db_api.bnd db_deal.bnd db_public_func.bnd lic_api.bnd zoo_api.bnd zoo_lock.bnd"
db2 connect to ${DB2USERID}
for bndfile in $bndlist
do
   db2 bind $MOIADIR/bnd/${bndfile}
   if [ $? -ne 0 ]
   then
       echo "bind ${bndfile} failed![$?]"
       exit 1;
   fi
done
exit
fi

bndlist=`ls ${BNDDIR}/*.bnd`
db2 connect to ${DB2USERID}
for bndfile in $bndlist
do

   if [ "X$1" == "Xproc" ];then
       file=`basename $bndfile`
       pre=`expr substr $file 1 3`
       if [ "X$file" = "srv_admin.bnd" ];then
           echo
       elif [ "X$pre" = "XSRV" -o "X$pre" = "Xsrv" ] ;then
           continue;
       fi
   fi

   db2 bind ${bndfile}
   if [ $? -ne 0 ]
   then
       echo "bind ${bndfile} failed![$?]"
       exit 1;
   fi
done

echo "Bind all files success!"
