#!/bin/sh

Usage()
{
    echo "Usage: $0 <project name> <dsjob instense name>"
    echo ""
    exit -1
}

GetDSjobLog()
{
proj_name=$1
dsjob_name=$2

evt_id=`dsjob -logsum -type STARTED -max 2 ${proj_name} ${dsjob_name} `
if [ $? -ne 0 ]
then
    echo ""
    echo "[ERROR]:ȡDS־Ϣ."
    echo ""
    exit 1
fi

begin_evt_id=`echo "${evt_id}"|awk 'BEGIN{i=0}{i++; if( i==1 ) print $1; }' `
end_evt_id=`echo "${evt_id}"|awk 'BEGIN{i=0}{i++; if( i==3 ) print $1; }' `
dsjob -logdetail ${proj_name} ${dsjob_name} $begin_evt_id $end_evt_id 
if [ $? -ne 0 ]
then
    echo ""
    echo "[ERROR]:ȡDS־Ϣ."
    echo ""
    exit 1
fi
}

if [ $# -ne 2 ];then
    Usage
fi

GetDSjobLog $1 $2
