db2set DB2CODEPAGE=1386;
db2set DB2COMM=tcpip
db2set DB2AUTOSTART=YES
export DB2OPTIONS='-stv'

DBNAME=moia42
DBPATH=/home/db2inst1/moia42db/
SYSDBFILE=/home/db2inst1/moia42db/sys_ts
USRDBFILE=/home/db2inst1/moia42db/usr_ts
TMPDBFILE=/home/db2inst1/moia42db/tmp_ts
DBUSER=moiadev

db2 - << !

-- create database on $SYSDBFILE with size 512M

CREATE DATABASE ${DBNAME} ON ${DBPATH} 
 USING CODESET GBK TERRITORY CN COLLATE 
 USING SYSTEM USER TABLESPACE MANAGED BY DATABASE 
 USING (FILE '${SYSDBFILE}' 128000) EXTENTSIZE 16 PREFETCHSIZE 16 ;

CONNECT TO ${DBNAME};
-- create user bufferpool

CREATE BUFFERPOOL MOIABP1 ALL NODES SIZE 100 EXCEPT ON NODE(0 SIZE 100) PAGESIZE 16K;
--NOT EXTENDED STORAGE;

-- create user table space

--CREATE  REGULAR  TABLESPACE MOIATS1 PAGESIZE 16K  MANAGED BY DATABASE  
  USING ( FILE '${USRDBFILE}' 32000 ) 
  EXTENTSIZE 16  PREFETCHSIZE 64 BUFFERPOOL "MOIABP1" DROPPED TABLE RECOVERY ON;

-- grant previlige to user
--GRANT USE OF TABLESPACE MOIATS1 TO USER ${DBUSR};
--GRANT DBADM ON DATABASE TO USER ${DBUSER};

-- create user temp table space
--CREATE SYSTEM TEMPORARY  TABLESPACE TEMPTS1 PAGESIZE 16K  MANAGED BY DATABASE  
 USING ( FILE '${TMPDBFILE}' 1024 ) 
 EXTENTSIZE 16  PREFETCHSIZE 64 BUFFERPOOL "MOIABP1";


CONNECT RESET;
quit;

!

export DB2OPTIONS='+t';
