db2set DB2CODEPAGE=1386;
db2set DB2COMM=tcpip
db2set DB2AUTOSTART=YES

export DB2OPTIONS='-stv';

db2 - << !

-- create database

-- CREATE DATABASE moia3db2  ON /home/db2inst1/moia3db2/ USING CODESET GBK TERRITORY CN COLLATE USING SYSTEM USER TABLESPACE MANAGED BY DATABASE USING (FILE '/home/db2inst1/moia3db2/sys_ts' 128000) EXTENTSIZE 16 PREFETCHSIZE 16 ;

CONNECT TO moia3db2;

-- create user bufferpool

CREATE BUFFERPOOL MOIABP1 ALL NODES SIZE 100 EXCEPT ON NODE(0 SIZE 100) PAGESIZE 16K NOT EXTENDED STORAGE ;

-- create user table space

CREATE  REGULAR  TABLESPACE MOIATS1 PAGESIZE 16K  MANAGED BY DATABASE  USING ( FILE '/home/db2inst1/moia3db2/usr_ts' 32000 ) EXTENTSIZE 16  PREFETCHSIZE 64 BUFFERPOOL "MOIABP1" DROPPED TABLE RECOVERY ON;



-- grant previlige to user
GRANT USE OF TABLESPACE MOIATS1 TO USER moia32db2;

CONNECT RESET;


quit;

!

export DB2OPTIONS='+t';
