
> moia_create.log
export DB2OPTIONS='-tv -l moia_create.log'
TABSPC="${MOIATS}"
db2 - <<!
connect to ${DB2USERID};

--t02_contacts_person Ϣ
--DROP TABLE t02_contacts_person;
CREATE TABLE t02_contacts_person
(
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  person_name         varchar(64)       NOT NULL  DEFAULT ' '         ,
  person_desc         varchar(256)      NOT NULL  DEFAULT ' '         ,
  contacts_email      varchar(128)      NOT NULL  DEFAULT ' '         ,
  contacts_mobile     varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( obj_id,obj_type,person_name )
)  ;

--t04_evt_glob_trig ¼ƻ
--DROP TABLE t04_evt_glob_trig;
CREATE TABLE t04_evt_glob_trig
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( evt_id,plan_id )
) ;

--t05_plan_trig_stat ƻ״̬
--DROP TABLE t05_plan_trig_stat;
CREATE TABLE t05_plan_trig_stat
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  inst_num            varchar(20)       NOT NULL  DEFAULT ' '         ,
  plan_date           varchar(8)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  file_name           varchar(1024)     NOT NULL  DEFAULT ' '         ,
  trig_time           varchar(20)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( plan_id,inst_num )
) ;
CREATE INDEX  plan_trig_stat_idxc1 ON t05_plan_trig_stat
( evt_id );
CREATE INDEX  plan_trig_stat_idxc2 ON t05_plan_trig_stat
( create_date );

--t06_evt_glob_trig_ver ¼ƻ汾
DROP TABLE t06_evt_glob_trig_ver;
CREATE TABLE t06_evt_glob_trig_ver
(
  evt_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  org_rule            varchar(5)        NOT NULL  DEFAULT ' '         ,
  date_rule           varchar(32)       NOT NULL  DEFAULT ' '         ,
  batch_rule          integer           NOT NULL  DEFAULT 0           ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( evt_id,plan_id,version_id )
)  ;


--t06_contacts_person_ver Ϣ汾
DROP TABLE t06_contacts_person_ver;
CREATE TABLE t06_contacts_person_ver
(
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  person_name         varchar(64)       NOT NULL  DEFAULT ' '         ,
  person_desc         varchar(256)      NOT NULL  DEFAULT ' '         ,
  contacts_email      varchar(128)      NOT NULL  DEFAULT ' '         ,
  contacts_mobile     varchar(32)       NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( obj_id,obj_type,person_name,version_id )
)  ;

quit;
!
