TABSPC="${MOIATS}"
sqlplus ${ORAUSERID} <<!
spool moia_create.log

DROP TABLE t05_log_plan;
CREATE TABLE t05_log_plan
(
  log_id              varchar2(32)                DEFAULT ' '         ,
  node_id             varchar2(32)                DEFAULT ' '         ,
  node_name           varchar2(128)               DEFAULT ' '         ,
  plan_id             varchar2(32)                DEFAULT ' '         ,
  plan_name           varchar2(32)                DEFAULT ' '         ,
  plan_type           varchar2(1)                 DEFAULT ' '         ,
  org_code            varchar2(5)                 DEFAULT ' '         ,
  plan_date           varchar2(8)                 DEFAULT ' '         ,
  plan_inst_num       varchar2(32)                DEFAULT ' '         ,
  batch_num           integer                     DEFAULT 0           ,
  plan_stat           integer                     DEFAULT 0           ,
  detail_stat         integer                     DEFAULT 0           ,
  stat_msg            varchar2(128)               DEFAULT ' '         ,
  undo_job            integer                     DEFAULT 0           ,
  wait_job            integer                     DEFAULT 0           ,
  deal_job            integer                     DEFAULT 0           ,
  succ_job            integer                     DEFAULT 0           ,
  fail_job            integer                     DEFAULT 0           ,
  start_time          varchar2(20)                DEFAULT ' '         ,
  end_time            varchar2(20)                DEFAULT ' '         ,
  run_time            integer                     DEFAULT 0           ,
  deal_pnode          varchar2(32)                DEFAULT ' '         ,
  warn_confirm        varchar2(1)                 DEFAULT ' '         ,
  ext_column_1        integer                     DEFAULT 0           ,
  ext_column_2        integer                     DEFAULT 0           ,
  ext_column_3        varchar2(256)               DEFAULT ' '         ,
  ext_column_4        varchar2(256)               DEFAULT ' '         ,
  primary key ( log_id )
) ${TABSPC} storage (initial 16K next 16K ) ;

!
