#!/bin/sh
#ѯδύӺSQLϢ,жǷɼ¼,ѡж
#ҪsystemûȨ
SYSUSERID=system/system
SYSUSERID=$ORAUSERID

labstr="testlock"
tmp_file=/tmp/ts1.$$.txt
tmp_file2=/tmp/ts2.$$.txt

get_lock_rec()
{
sqlplus ${SYSUSERID} <<EOF >/dev/null 
SET HEADING OFF
SET ECHO OFF
SET FEEDBACK OFF
SET VERIFY OFF
SET TERMOUT OFF
SET TRIMSPOOL ON
SET LINESIZE 4096
SET PAGESIZE 0
SET COLSEP |
spool $tmp_file
select '${labstr}',b.sid,b.serial#,b.process, b.module,b.program,b.terminal,b.machine,b.osuser,b.username, c.sql_text
from v\$transaction a, v\$session b, v\$sqlarea c 
where a.ses_addr=b.saddr 
and ( b.sql_address = c.address or b.prev_sql_addr = c.address );
EOF

lock_rec_num=`cat $tmp_file | grep -c "^${labstr}"`

cat $tmp_file | grep "^${labstr}" | \
awk ' 
function ltrim( in_str ) { 
len=1;
while( 1 ) {
    if( index(substr(in_str,len,1)," ") != 1 ) break;
    if( len++ == length(in_str) ) break;
} 
out_str=sprintf( "%s", substr( in_str, len, length(in_str)-len+1 ) );
return out_str;
} 
function rtrim( in_str ) { 
len=length(in_str);
while( 1 ) {
    if( index(substr(in_str,len,1)," ") != 1 ) break;
    if( len-- == 0 ) break;
} 
out_str=sprintf( "%s", substr( in_str, 1, len ) );
return out_str;
} 
function trimall( in_str ) {
return ( rtrim( ltrim( in_str ) ) );
}

BEGIN { FS="|"; }
{ printf( "%s|%s|%s|%s|%s|%s|%s|%s|%s|%s|\n", trimall($2),trimall($3),trimall($4),trimall($5),trimall($6),trimall($7),trimall($8),trimall($9),trimall($10),trimall($11)); } ' > $tmp_file2
}

echo_machine()
{
if [ "`echo -n ''`" = "" ]
then
    MINUSN="-n"
    SLASHC=""
else
    MINUSN=""
    SLASHC='\c'
fi
}

print_lock_rec()
{
echo "================================================================================"
echo "sid|serial|[sql in transaction]" | \
awk ' BEGIN {FS="|" } END { printf( "%-4s %-6s %s\n", $1,$2,$3); } ' 
echo "--------------------------------------------------------------------------------"
if [ $lock_rec_num -gt 0 ]
then
cat $tmp_file2 | \
awk ' BEGIN {FS="|" } { printf( "%-4d %-6d [%s]\n", $1,$2,$10 ); } ' 
fi
echo "================================================================================"

}

input_kill_ser()
{

while [ 1 = 1 ]
do
echo $MINUSN "Input serial to show detail | Q to quit: " $SLASHC
read kill_ser
if [ "X$kill_ser" = "XQ" ]
then
    do_exit
fi
lock_ser_num=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}"`
if [ $lock_sid_num -eq 0 ]
then
    continue;
fi
break;
done
}


input_kill_sid()
{
sid=0
ser=0

if [ $lock_rec_num -eq 0 ]
then
    return
fi

while [ 1 = 1 ]
do
echo $MINUSN "Input sid to show detail | Q to quit: " $SLASHC
read kill_sid
if [ "X$kill_sid" = "XQ" ]
then
    do_exit
fi
lock_sid_num=`cat $tmp_file2 | grep -c "^${kill_sid}"`
if [ $lock_sid_num -eq 0 ]
then
    continue;
elif [ $lock_sid_num -gt 1 ]
then
    input_kill_ser
else
    kill_ser=`cat $tmp_file2 | grep "^${kill_sid}" | cut -d"|" -f2`
fi
break;
done
}

show_detail()
{
process=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f3`
module=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f4`
program=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f5`
terminal=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f6`
machine=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f7`
osuser=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f8`
username=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f9`
sql_txt=`cat $tmp_file2 | grep "^${kill_sid}|${kill_ser}" | cut -d"|" -f10`

echo 
echo "--------------------------------------------------------------------------------"
echo "Detail of this session:"
echo 
echo "Machine  : $machine"
echo "Osuser   : $osuser"
echo "Terminal : $terminal"
echo "Program  : $program"
echo "Module   : $module"
echo "Process  : $process"
echo "Username : $username"
echo "Sql_txt  : $sql_txt"
echo 
echo "--------------------------------------------------------------------------------"
}

ensure_kill()
{
while [ 1 = 1 ]
do
    echo $MINUSN " Kill this session [yes/no] " $SLASHC
    read answer
    if [ "X$answer" = "Xyes" -o "X$answer" = "Xno" ]
    then
        break;
    fi
done

eval $1=${answer}
}

do_exit()
{
    rm -f $tmp_file $tmp_file2
    exit
}

kill_sid_func()
{
if [ $kill_sid -gt 0 -a $kill_ser -gt 0 ]
then
#sqlplus $SYSUSERID <<EOF | >/dev/null
sqlplus $SYSUSERID <<EOF 
alter system kill session '${kill_sid},${kill_ser}';
EOF
fi
}
#####################################main##########################
echo_machine

while [ 1 = 1 ]
do
    get_lock_rec
    clear
    print_lock_rec 
    if [ $lock_rec_num -eq 0 ]
    then
        do_exit
    fi

    input_kill_sid
    show_detail
    ensure_kill kill_flag
    if [ "X${kill_flag}" = "Xyes" ]
    then
        kill_sid_func
    fi
done

